跳转到内容

本 owner 应用列表(永不回密文与 hash;带 x-tansr-org 头 = org 应用,成员可读)

GET
/v1/apps
curl --request GET \
--url https://api.tansr.com/v1/apps \
--header 'Authorization: Bearer <token>'
x-tansr-org
string

Org 作用域声明(org 公开 id);服务端校验成员资格与角色,非成员恒 404、角色不够 403

列表

Media typeapplication/json
object
data
required
Array<object>
object
credentialRotationRequired

离组收回旧凭据;应用仍归组织,须当前组织管理员轮换。旧令牌和双头立即失效。

boolean
ownership
object
type
required
Any of:
string
Allowed value: user
orgId
required
Any of:
string
permissions
object
canManage
required
boolean
canDelete
required
boolean
canRequestDeletion
required
boolean
deletionRequestUnavailableReason
string
Allowed value: org_governance_disabled
id
required

ApiKeyId(api_keys.public_id;门户/审计/报表同键,可公开引用)

string
name
required
string
status
required
Any of:
string
Allowed value: active
ipAllowlist
required
Any of:
Array<string>
keyPrefix
required

密文展示前缀(tsk_ + 6);密文仅创建/轮换各回显一次,hash 永不回读

string
expiresAt
required
Any of:
string
signRequired
required

True = 未签名 /t1 请求恒 401 signature_invalid

boolean
platform
required
Any of:
Any of:
string
Allowed value: desktop
deviceBound
required

True = CLI init 派生装置绑定键(走用户层能力控制面,应用配置对其不生效)

boolean
purpose
required
Any of:
string
lastUsedAt
required
Any of:
string
createdAt
required
string
Example
{
"data": [
{
"ownership": {
"type": "user"
},
"permissions": {
"deletionRequestUnavailableReason": "org_governance_disabled"
},
"status": "active",
"platform": "desktop"
}
]
}